org.mariadb.jdbc.internal.packet.result

## Class AbstractResultPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.result.AbstractResultPacket

Direct Known Subclasses:
  EndOfFilePacket, ErrorPacket, LocalInfilePacket, OkPacket, ResultSetPacket

    public abstract class AbstractResultPacket
    extends Object

### Nested Class Summary

Nested Classes
`static class` `AbstractResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`AbstractResultPacket(ByteBuffer byteBuffer)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`long` `getLengthEncodedBinary()` Get next binary data encoded length.
`byte[]` `getLengthEncodedBytes()` Get next data length encoded binary.
`abstract AbstractResultPacket.ResultType` `getResultType()`
`String` `getStringLengthEncodedBytes()` Read next binary String encoded.
`int` `read24bitword()` Read 24 bit integer.
`long` `readLong()`
`short` `readShort()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractResultPacket

    public AbstractResultPacket(ByteBuffer byteBuffer)

### Method Detail

#### getResultType

    public abstract AbstractResultPacket.ResultType getResultType()

#### getLengthEncodedBinary

    public long getLengthEncodedBinary()

Get next binary data encoded length.

Returns:
  length

#### getLengthEncodedBytes

    public byte[] getLengthEncodedBytes()

Get next data length encoded binary.

Returns:
  length of next data.

#### getStringLengthEncodedBytes

    public String getStringLengthEncodedBytes()

Read next binary String encoded.

Returns:
  String value

#### readShort

    public short readShort()

#### read24bitword

    public int read24bitword()

Read 24 bit integer.

Returns:
  length

#### readLong

    public long readLong()